# Chocofi Keyboard

### Layout Tester

{% file src="/files/iLVEGsXacgEjz5W0Jja6" %}

### RP2040-based boards

The command to build a chocofi Vial firmware with ProMicro-shaped RP2040 microcontroller boards such as the Sea Picro.

```
qmk compile -kb crkbd/rev1 -km vial -e CONVERT_TO=promicro_rp2040
```

It's recommended to build your own firmware. Here's a precompiled chocofi firmware based on crkbd.

{% file src="/files/boUhrdc6r8H5q4Mumn3x" %}

### Firmware for nice!nano wireless boards

The pre-soldered wireless Chocofi keyboard with nice!view are pre-flashed miryoku ZMK firmware.

The pre-flashed firmware:

{% file src="/files/zAFTl6ecz9964yndf7H3" %}
Left Board
{% endfile %}

{% file src="/files/uauvkTnb6bk6jWqD3Cl2" %}
Right Board
{% endfile %}

If you would like to customize your own keymap, please refer to the [ZMK documentation](https://zmk.dev/docs/user-setup). You can find an example of the firmware at the following link: [ZMK Config Corne Chocofi with Niceview](https://github.com/beekeeb/zmk-config-corne-chocofi-with-niceview/tree/main).

#### Troubleshooting 1: My nice!view doesn't display any graphics after flashing a custom firmware.&#x20;

To resolve the issue of the nice!view not displaying graphics after flashing a custom firmware, you will need to enable the `nice_view` and `nice_view_adapter` features in your custom ZMK firmware.

Example: <https://github.com/beekeeb/zmk-config-corne-chocofi-with-niceview/blob/main/build.yaml>

```yaml
include:
  - board: nice_nano_v2
    shield: corne_left nice_view_adapter nice_view
  - board: nice_nano_v2
    shield: corne_right nice_view_adapter nice_view
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.beekeeb.com/chocofi-keyboard.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
